gdalcalc raster calculator gives QgsProcessingException (invalidRasterError) when used in a model

2018-07-03 11:02 PM - Rudi von Staden

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10 Easy fix?: Yes

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27157
Description

Using gdal's raster calculator in a model without specifying layers in the optional slots (INPUT_B to INPUT_F) causes an exception.

Using the raster calculator with rasters in only INPUT_A and INPUT_B produces the following exception:

Traceback (most recent call last):

File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\gdal\GdalAlgorithm.py", line 119, in processAlgorithm

commands = self.getConsoleCommands(parameters, context, feedback, executing=True)

File "C:/OSGEO4~1/apps/qgis/./python/plugins\processing\algs\gdal\gdalcalc.py", line 239, in getConsoleCommands

raise QgsProcessingException(self.invalidRasterError(parameters, self.INPUT_C))

_core.QgsProcessingException: Could not load source layer for INPUT_C: invalid value@

Associated revisions

Revision 57fb4ef2 - 2018-07-04 01:45 PM - Rudi von Staden

Add 'not selected' option for optional layer parameters in processing model view

Fixes #19329 (https://issues.qgis.org/issues/19329)

Optional layer parameters in processing algorithms used in the graphical modeler
add an empty string as the default parameter value, which can raise an exception
during algorithm execution. This update replaces the default empty string with a
default 'Not selected' option.

Revision cb3364f1 - 2018-07-12 01:29 AM - Rudi von Staden

Add 'not selected' option for optional layer parameters in processing model view

Fixes #19329 (https://issues.qgis.org/issues/19329)

Optional layer parameters in processing algorithms used in the graphical modeler
add an empty string as the default parameter value, which can raise an exception
during algorithm execution. This update replaces the default empty string with a
default 'Not selected' option.

(cherry-picked from 57fb4ef)
#1 - 2018-07-03 11:08 PM - Rudi von Staden

Pull request: https://github.com/qgis/QGIS/pull/7360

#2 - 2018-07-04 09:01 AM - Rudi von Staden

Tested with QGIS 2.18 and this is a regression.

#3 - 2018-07-11 03:24 PM - Rudi von Staden
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|57fb4ef27c89e89c5ce4ecb5b065d198f305d731.
